martes, julio 25, 2017

Solución a error de Openoffice writer en Debian 9

Sigo resistiendome a cambiar mi PC y mi portátil y quiero que aguanten hasta que realmente dejen de funcionar.

El PC es un Pentium Dual Core 2.5Ghz x2 a 32-bit y el portatil es un veteranísimo Hp pavilion pentium M Centrino a 2Ghz. Resulta curioso que este último lo rescaté de la obsolescencia programada a base de ir metiendo linux. Primero fue ubuntu, después llegó Open Suse y la ultima distro que sigue dando soporte es Debian.

Hace unos días actualicé a Debian 9 y parece que todo va bien con el portatil, evidentemente es algo lento pero funciona.

El pc tenía OpenSuse 13.1 y cuando procedí a actualizar descubrí que ya no era posible, la nueva versión, Leap solo funciona con procesadores de 64-bit así que fiel a mi propósito de evitar la obsolescencia tanto como pueda he migrado a Debian también en el pc.

Curiosamente Debian 9 (stretch) ha salido en su versión estable hace poco, (Debian es la base de la mayoría de las distros y tiene fama de ser la más estable y tienen tendencia a no cambiar lo que funciona siendo por otra parte bastante segura).

Entre las novedades destacaba la instalación nativa de openoffice, pero aunque me ha funcionado en el portatil, este partía de una instalación previa y no ha se ha instalado igual que el pc que he instalado desde cero.

Así que todo funciona bastante bien, estoy muy contento hasta ahora con debian salvo por el detalle, nada nimio de que el writer de openoffice no funciona, se cuelga sin decir nada cosa que es es un gran problema para mi pues es probablemente la aplicación que más uso.

Parece que con los equipos de 64-bit no se da el problema, pero después de desinstalar e instalar de mil modos no conseguía hacer nada hasta que encontré la solución en un foro de debian.

El problema está en dos extensiones de Java que parecen provocar el problema... estas extensiones no parecen hacer otra cosa que joder el sistema pues cuando se quitan, el problema desaparece. Me pregunto si es otra obsolescencia programada.

En todo caso basta con eliminarlas abriendo una consola y ejecutando como root.


apt-get remove --purge libreoffice-wiki-publisher
apt-get remove --purge libreoffice-nlpsolver



y problema solucionado.

No hay comentarios: